using Core.Abstractions.Models;
using Core.Enumerations;
using System.ComponentModel.DataAnnotations;

namespace WeatherForecast.Models.Account.Requests {
  public class PasswordRecoveryRequestModel : RequestModelBase {

    public string Username { get; set; }

    public override IEnumerable<ValidationResult> Validate(ValidationContext validationContext) {
      if (string.IsNullOrWhiteSpace(Username))
        yield return new ValidationResult($"{nameof(Username)} ${Errors.NullOrEmpty}");

    
    }
  }
}
